<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usoft.fin.grpc.dal.mapper.DrawApplyOrderAcceptMapper">
    <select id="findByDrawCode" parameterType="string" resultMap="BaseResultMap">
        select
        <include refid="Base_Column_List"/>
        from t_draw_apply_order_accept where draw_code = #{drawApplyCode}
    </select>
    <select id="findAcceptIdByEnuuAndProductCode" resultType="int">
        select t_draw_apply_order_accept.accept_id
        from t_draw_apply_order_accept inner join t_draw_apply on t_draw_apply_order_accept.draw_code = t_draw_apply.code
        where t_draw_apply.enuu = #{enuu} and t_draw_apply.product_code = #{productCode}
    </select>
</mapper>